package merchant_order

import (
	"fmt"
	"testing"

	"kami/api/commonApi"
	v1 "kami/api/order/v1"
	"kami/internal/model"

	_ "github.com/gogf/gf/contrib/drivers/mysql/v2"

	"github.com/gogf/gf/v2/os/gctx"
)

func Test_sOrderSummary_GetList(t *testing.T) {
	s := sOrderSummary{}
	_, result, _ := s.GetList(gctx.New(), model.OrderSummaryListInput{
		OrderSummaryGetListReq: v1.OrderSummaryGetListReq{
			CommonPageReq: commonApi.CommonPageReq{
				Current:  1,
				PageSize: 10,
			},
		},
	})
	for _, v := range result {
		fmt.Println(fmt.Sprintf("%+v", v))
	}
}
